--
-- lust
--
-- Copyright (c) 2014, rnlf
--
-- This library is free software; you can redistribute it and/or modify it
-- under the terms of the MIT license. See LICENSE for details.
--

local debug = {}

function debug.debug_log(txt)
  if #debug.debug_messages > 10 then
    table.remove(debug.debug_messages, 1)
  end
  table.insert(debug.debug_messages, txt)
end

debug.debug_messages = {}
function debug.draw_debug_log()
  for i, li in ipairs(debug.debug_messages) do
    love.graphics.print(li, 10, 16 * i)
  end
end

return debug
