--
-- lust
--
-- Copyright (c) 2014, rnlf
--
-- This library is free software; you can redistribute it and/or modify it
-- under the terms of the MIT license. See LICENSE for details.
--

local ImageCache = Object:extend()

function ImageCache:new()
  self.images = {}
end


function ImageCache:load(filename)
  if not self.images[filename] then
    self.images[filename] = love.graphics.newImage(filename)
  end

  return self.images[filename]
end

return ImageCache
