--
-- lust
--
-- Copyright (c) 2014, rnlf
--
-- This library is free software; you can redistribute it and/or modify it
-- under the terms of the MIT license. See LICENSE for details.
--

State = Object:extend()
local TimeKeeper = require('lust.timekeeper')

function State:new(manager)
  self.manager = manager
  self.tween = flux.group()
  self.collider = HC()
  self.timer = TimeKeeper()
end


function State:update(dt)
  self.timer:update(dt)
  self.tween:update(dt)
end


function State:draw()
end


function State:enter()
end


function State:leave()
end

return State
